Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262397 - kde-base/kitchensync-3.5.10-r1 fails with libopensync-0.38
Summary: kde-base/kitchensync-3.5.10-r1 fails with libopensync-0.38
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2009-03-14 08:15 UTC by Oschtan
Modified: 2009-11-07 21:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,68.20 KB, text/plain)
2009-05-30 11:19 UTC, Oschtan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oschtan 2009-03-14 08:15:23 UTC
/bin/sh ../../libtool --silent --tag=CXX --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../kitchensync/src -I../../kitchensync -I../..  -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I../../libkdepim -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT -D_LARGE_FILES=1  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -pipe -march=native -mtune=native -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION  -c -o filter.lo filter.cpp
filter.cpp: In member function 'void QSync::Filter::setConfiguration(const QString&)':
filter.cpp:47: error: 'osync_filter_set_config' was not declared in this scope
filter.cpp: In member function 'QString QSync::Filter::configuration() const':
filter.cpp:54: error: 'osync_filter_get_config' was not declared in this scope
make[1]: *** [filter.lo] Error 1
groupenv.cpp: In destructor 'QSync::GroupEnv::~GroupEnv()':
groupenv.cpp:40: error: 'osync_group_env_free' was not declared in this scope
make[1]: *** [groupenv.lo] Error 1
pluginenv.cpp: In destructor 'QSync::PluginEnv::~PluginEnv()':
pluginenv.cpp:41: error: 'osync_plugin_env_free' was not declared in this scope
pluginenv.cpp: In member function 'QSync::Result QSync::PluginEnv::finalize()':
pluginenv.cpp:55: error: 'osync_plugin_env_free' was not declared in this scope
make[1]: *** [pluginenv.lo] Error 1
make[1]: Leaving directory `/var/tmp/portage/kde-base/kitchensync-3.5.10-r1/work/kitchensync-3.5.10/kitchensync/libqopensync'
make: *** [install-recursive] Error 1
 *
 * ERROR: kde-base/kitchensync-3.5.10-r1 failed.
=======================
dev-lang/python-2.6.1 need >app-pda/opensync-0.36

~amd64/gcc-4.3.3/glibc-2.9_p20081201-r2/python-2.6.1/perl-5.10.0/kde-3.5.10/portage-2.2
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-29 19:28:09 UTC
what is your libopensync version? It seems to compile with 0.36*, and the above versions are hardmasked atm. If there isn't a patch (which i doubt, as kde3 development is frozen), i'll close it. thanks
Comment 2 Oschtan 2009-05-29 20:03:55 UTC
(In reply to comment #1)
> what is your libopensync version? It seems to compile with 0.36*, and the above
> versions are hardmasked atm. If there isn't a patch (which i doubt, as kde3
> development is frozen), i'll close it. thanks
> 

Now is 0.36-r1 but kitchensync:3.5 not working with >libopensync-0.36*
Comment 3 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-29 20:07:01 UTC
I made a stupid commit for kitchensync yesterday that i reverted today. kitchensync-3.5.10-r2 isn't any longer in the tree, so please sync and try kitchensync-3.5.10-r1. thanks for the reply
Comment 4 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-29 20:19:34 UTC
I'll have to close it because i doubt there will be ever a patch for libopensync-0.38 (which is still hardmasked in tree). libopensync-0.36 and kitchensync-3.5.10-r1 work fine. thanks
Comment 5 Oschtan 2009-05-30 02:45:47 UTC
(In reply to comment #4)
> I'll have to close it because i doubt there will be ever a patch for
> libopensync-0.38 (which is still hardmasked in tree). libopensync-0.36 and
> kitchensync-3.5.10-r1 work fine. thanks
> 

Hm. It is'n work.. but this bug closed?... sys-libs/glibc-2.10.1...
Thanks!
Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 10:19:03 UTC
Reopening then, and changing summary. Paste a full build.log and emerge --info
Comment 7 Oschtan 2009-05-30 11:16:44 UTC
(In reply to comment #6)
> Reopening then, and changing summary. Paste a full build.log and emerge --info
> 

Ok)
Comment 8 Oschtan 2009-05-30 11:17:34 UTC
Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.4.0, glibc-2.10.1-r0, 2.6.29-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-x86_64-AMD_Phenom-tm-_8450_Triple-Core_Processor-with-gentoo-2.0.1
Timestamp of tree: Sat, 30 May 2009 07:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache collision-protect distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sets sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles http://trumpetti.atm.tut.fi/gentoo ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://linux.rz.ruhr-uni-bochum.de/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac aalib acl acpi additions alsa amd64 amr amrnb amrwb ao apm arts audiofile avahi bdf berkdb bindist branding bzip2 cairo cdparanoia cgi cjk clamav cleartype cli consolekit cracklib crypt dbus djvu dri dv dvd dvdr emerald enca encode exif faac faad fastcgi fbcondecor ffmpeg fontconfig fortran ftp fuse gd gecko gif gimp git glitz gphoto2 gpm gtk hal hddtemp hdri iconv imagemagick imlib isdnlog jabber java jbig jpeg jpeg2k kde kdehiddenvisibility lame latin1 lcms lib32 libnotify lm_sensors lzma mad midi mikmod mjpeg mmx mmxext mng motif mp2 mp3 mp4 mpeg mplayer mudflap multilib multitarget mysql ncurses nls npp nptl nptlonly nsplugin oav objc objc++ objc-gc ogg openexr opengl openmp oscar pam pcre pdf perl php png povray pppd python qt3 quicktime rar rcc readline reflection rtc samba sdl sensord session sndfile source spell spl sqlite sqlite3 srt sse sse2 ssl startup-notification subversion suid svg symlink sysfs syslog tcpd templates theora tidy tiff truetype unicode unsupported usb utempter vcd vorbis webdav-neon wmf x264 xattr xcb xcomposite xine xml xorg xpm xscreensaver xulrunner xvid yv12 zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba_pdrm11" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 Oschtan 2009-05-30 11:19:04 UTC
Created attachment 192968 [details]
build.log
Comment 10 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-30 11:52:45 UTC
You're missing a compatible version of libopensync.
Version 0.31 or greater is needed.
kitchensync will not be built.

Now the error is different from the original post and it is clearly a problem with libopensync, not a glibc problem. But it works here with no problem, i don't get it :( Try to reemerge libopensyc-0.36-r1 or run revdep-rebuild. Just for the record:

[ebuild   R   ] app-pda/libopensync-0.36-r1  USE="python -debug -doc" 0 kB
[ebuild   R   ] kde-base/kitchensync-3.5.10-r1  USE="-debug" 0 kB
Comment 11 Oschtan 2009-05-31 02:25:08 UTC
(In reply to comment #10)
> You're missing a compatible version of libopensync.
> Version 0.31 or greater is needed.
> kitchensync will not be built.
> 
> Now the error is different from the original post and it is clearly a problem
> with libopensync, not a glibc problem. But it works here with no problem, i
> don't get it :( Try to reemerge libopensyc-0.36-r1 or run revdep-rebuild. Just
> for the record:
> 
> [ebuild   R   ] app-pda/libopensync-0.36-r1  USE="python -debug -doc" 0 kB
> [ebuild   R   ] kde-base/kitchensync-3.5.10-r1  USE="-debug" 0 kB
> 

This bug is fixed to the extent that app-pda/libopensync-0.36* compile successfully with dev-lang/python:2.6 but kde-base/kitchensync-3.5.10* compile failed with >app-pda/libopensync-0.36*
Comment 12 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-31 12:19:51 UTC
i'll keep the bug open for libopensync-0.38 then. I need a patch for this but i doubt there will be one
Comment 13 Samuli Suominen (RETIRED) gentoo-dev 2009-11-07 21:08:36 UTC
Masked for removal with KDE 3.5.10, closing...